dot_product(3)

NAME
dot_product, dot_product_f

SYNOPSIS
#include <allegro.h>

fixed dot_product(fixed x1, y1, z1, x2, y2, z2); float dot_product_f(float x1, y1, z1, x2, y2, z2);

DESCRIPTION
Calculates the dot product (x1, y1, z1) . (x2, y2, z2), returning the result.

SEE ALSO
cross_product(3), normalize_vector(3), exstars(3)